/v1/files/searchSearch documents endpoint with PII detection. Performs document search and adds PII detection on the retrieved chunks.
| Name | Type | Required | Description |
|---|---|---|---|
search_query | string | Required |
| Name | Type | Required | Description |
|---|---|---|---|
X-API-Key | string | Optional |
source_idsstring[]Requiredexisting_mappingobjectinclude_oiiobjectspace_idobjectcurl -X POST '/api-proxy/v1/files/search' \
-H 'Authorization: Bearer <YOUR_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"source_ids": [
"string"
],
"existing_mapping": {},
"include_oii": {},
"space_id": {}
}'No response body documented
curl -X POST '/api-proxy/v1/files/search' \
-H 'Authorization: Bearer <YOUR_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"source_ids": [
"string"
],
"existing_mapping": {},
"include_oii": {},
"space_id": {}
}'No response body documented